Difference between revisions of "Talk:MSI GS63VR"

From ArchWiki
Jump to: navigation, search
(More details are needed)
 
(Working Configurations: new section)
Line 6: Line 6:
  
 
Could you also state the last working kernel you've tried? That would help me a lot.
 
Could you also state the last working kernel you've tried? That would help me a lot.
 +
 +
== Working Configurations ==
 +
 +
I currently have Arch running on my GS63VR (2016 model) with an i7-6700HQ processor and Nvidia GTX 1060 (6GB) graphics card.
 +
I am running kernel 4.13.3 (package linux-4.13.3-1).
 +
I am using bumblebee for video driver management with packages (installing in this order using pacman resolves package conflicts with the default selections):
 +
*bumblebee (bumblebee-3.2.1-15)
 +
*mesa (mesa-17.2.1-3)
 +
*nvidia (nvidia-387.12-1)
 +
*xf86-video-intel (xf86-video-intel-1:2.99.917+781+gc8990575-1)
 +
*lib32-virtualgl (lib32-virtualgl-2.5.2-2
 +
*lib32-nvidia-utils (lib32-nvidia-utils-387.12-1)
 +
*bbswitch (bbswitch-0.8-80)

Revision as of 03:26, 5 October 2017

Hello GS63 owners,

I've tried to install archlinux on this laptop and but I couldn't make it work because Intel driver refuses to detect my LCD. Could you list your hardware configuration?

My model comes with a Intel kaby lake i7 7700HQ. Two graphics cards, a Intel HD graphics 630 and a Nvidia GeForce GTX 1070 max Q. Both Intel i915 and nouveau driver fail to load.

Could you also state the last working kernel you've tried? That would help me a lot.

Working Configurations

I currently have Arch running on my GS63VR (2016 model) with an i7-6700HQ processor and Nvidia GTX 1060 (6GB) graphics card. I am running kernel 4.13.3 (package linux-4.13.3-1). I am using bumblebee for video driver management with packages (installing in this order using pacman resolves package conflicts with the default selections):

  • bumblebee (bumblebee-3.2.1-15)
  • mesa (mesa-17.2.1-3)
  • nvidia (nvidia-387.12-1)
  • xf86-video-intel (xf86-video-intel-1:2.99.917+781+gc8990575-1)
  • lib32-virtualgl (lib32-virtualgl-2.5.2-2
  • lib32-nvidia-utils (lib32-nvidia-utils-387.12-1)
  • bbswitch (bbswitch-0.8-80)